Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065151 - [fr][zh_CN][zh_TW] Colon should keep consistent with English string in msgids "subscription-manager:"
Summary: [fr][zh_CN][zh_TW] Colon should keep consistent with English string in msgids...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Carter Kozak
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel70
TreeView+ depends on / blocked
 
Reported: 2014-02-14 03:23 UTC by Lijun Li
Modified: 2014-09-15 00:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 13:01:31 UTC


Attachments (Terms of Use)

Description Lijun Li 2014-02-14 03:23:00 UTC
Description of problem:
Colon should keep consistent with English string in msgids  "subscription-manager:"

Version-Release number of selected component (if applicable):
subscription-manager-1.10.14-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
[root@dhcp-8-244 lijli]# for L in `rpm -ql subscription-manager | grep rhsm.mo`; do echo ""; echo "LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE $L..."; msgunfmt $L | grep -i 'subscription-manager:' -A1; done;

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/as/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/bn_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/de_DE/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/es_ES/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:  %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager : %s"
                          ^^^^Redundant space.

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/gu/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/hi/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/it/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ja/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/kn/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ko/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ml/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/mr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/or/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pa/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s "


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ru/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/ta_IN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/te/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager: %s"


LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"
                           ^^^^Should keep colon in English.

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"
                           ^^^^Should keep colon in English.



Actual results:
in FR: 
LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/fr/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager : %s"
                          ^^^^Redundant space.

in zh_CN/zh_TW:
LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_CN/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"
                           ^^^^Should keep colon in English.

LOOKING FOR MSGID 'subscription-manager:' IN LANG FILE /usr/share/locale/zh_TW/LC_MESSAGES/rhsm.mo...
msgid "subscription-manager: %s"
msgstr "subscription-manager:%s"
                           ^^^^Should keep colon in English.


Expected results:
1. Remove space before colon in FR.
2. Change colon as English

Additional info:

Comment 2 Carter Kozak 2014-02-19 13:52:33 UTC
In the latest version of subscription-manager, this translated string is no longer used.  Can be disregarded.

commit d709e44173e6eb191ae2dcadd1a2d30b857edf9d
Author: ckozak <ckozak@redhat.com>
Date:   Tue Feb 4 13:32:16 2014 -0500

    1061393: Don't allow subscription-manager string to be translated


Please do not test this bug using the translation strings, instead run the program.  The translated string will not be removed until the next string pull.

You can test this by running "subscription-manager version" in each language.

Comment 3 John Sefler 2014-02-19 14:52:18 UTC
As Carter said, this bug has been fixed in the source code and is no longer a translation issue with the fix implemented for bug 1061393.  Therefore we should verify the subscription-manager module that formerly used this msgid in every language as follows...


[root@jsefler-7 ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$L.UTF-8 subscription-manager version"; LANG=$L.UTF-8 subscription-manager version; done;

# LANG=en_US.UTF-8 subscription-manager version
server type: This system is currently not registered.
subscription management server: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=de_DE.UTF-8 subscription-manager version
Servertyp: Dieses System ist derzeit nicht registriert.
Subscription Management Server: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=es_ES.UTF-8 subscription-manager version
Tipo de servidor:  Este sistema no está registrado.
Servidor de administración de suscripción: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=fr_FR.UTF-8 subscription-manager version
type de serveur : Ce système n'est pas enregistré actuellement.
serveur de gestion des abonnements : 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=it_IT.UTF-8 subscription-manager version
tipo di server: Questo sistema è attualmente non registrato.
server di gestione delle sottoscrizioni: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=ja_JP.UTF-8 subscription-manager version
サーバータイプ: このシステムは現在登録されていません。
サブスクリプション管理サーバー: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=ko_KR.UTF-8 subscription-manager version
서버 유형: 현재 시스템은 등록되어 있지 않습니다. 
서브스크립션 관리 서버: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=pt_BR.UTF-8 subscription-manager version
tipo de servidor: Este sistema não está registrado. 
servidor de gerenciamento de subscrição: 0.9.3-1 
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=ru_RU.UTF-8 subscription-manager version
тип сервера: Система не зарегистрирована.
сервер управления подписками: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=zh_CN.UTF-8 subscription-manager version
服务器类型:这个系统目前没有注册。
订阅管理服务器:0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=zh_TW.UTF-8 subscription-manager version
伺服器類型:這部系統目前尚未註冊。
訂閱服務管理伺服器:0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=as_IN.UTF-8 subscription-manager version
চাৰ্ভাৰৰ ধৰণ: এই চিস্টেম বৰ্তমানত ৰেজিস্টাৰ নহয়।
স্বাক্ষৰণ ব্যৱস্থাপনা চাৰ্ভাৰ: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=bn_IN.UTF-8 subscription-manager version
সার্ভারের ধরন: সিস্টেমটি বর্তমানে নিবন্ধিত নয়।
সাবস্ক্রিপশন পরিচালনার সার্ভার: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=hi_IN.UTF-8 subscription-manager version
सर्वर प्रकार: यह तंत्र अभी पंजीकृत नहीं है.
सदस्यता प्रबंधन सर्वर: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=mr_IN.UTF-8 subscription-manager version
सर्व्हर प्रकार: सध्या प्रणालीची नोंदणी केली नाही.
सबस्क्रिप्शन मॅनेजमेंट सर्व्हर: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=gu_IN.UTF-8 subscription-manager version
સર્વર પ્રકાર: આ સિસ્ટમ હાલમાં રજીસ્ટર થયેલ નથી.
ઉમેદવારી સંચાલન સર્વર: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=kn_IN.UTF-8 subscription-manager version
ಪೂರೈಕೆಗಣಕದ ಬಗೆ: ಈ ವ್ಯವಸ್ಥೆಯನ್ನು ಪ್ರಸಕ್ತ ನೋಂದಾಯಿಸಲಾಗಿಲ್ಲ.
subscription management ಪೂರೈಕೆಗಣಕ: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=ml_IN.UTF-8 subscription-manager version
സര്‍വര്‍ തരം: ഈ സിസ്റ്റം നിലവില്‍ രജിസ്ടര്‍ ചെയ്തിട്ടില്ല.
സബ്സ്ക്രിപ്ഷന്‍ മാനേജ്മെന്റ് സര്‍വര്‍: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=or_IN.UTF-8 subscription-manager version
ସର୍ଭର ପ୍ରକାର: ତନ୍ତ୍ରଟି ବର୍ତ୍ତମାନ ପଞ୍ଜିକରଣ ହୋଇନାହିଁ।
ସଦସ୍ୟତା ପରିଚାଳନା ସର୍ଭର: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=pa_IN.UTF-8 subscription-manager version
ਸਰਵਰ ਕਿਸਮ: ਇਹ ਸਿਸਟਮ ਹੁਣ ਰਜਿਸਟਰ ਨਹੀਂ ਕੀਤਾ ਹੈ।
ਮੈਂਬਰੀ ਪ੍ਰਬੰਧਲ ਸਰਵਰ: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=ta_IN.UTF-8 subscription-manager version
சேவையக வகை: இந்த கணினி தற்போது பதிவுசெய்யப்படவில்லை.
சந்தா நிர்வாக சேவையகம்: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7

# LANG=te_IN.UTF-8 subscription-manager version
సేవిక రకం: ఈ సిస్టమ్ ప్రస్తుతం నమోదైలేదు.
సబ్‌స్క్రిప్షన్ నిర్వహణ సేవిక: 0.9.3-1
subscription-manager: 1.10.14-2.el7
python-rhsm: 1.10.12-1.el7
[root@jsefler-7 ~]# 



VERIFIED: In all languages above, "subscription-manager:" and "python-rhsm:" remain untranslated

Comment 5 Ludek Smid 2014-06-13 13:01:31 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.